# DAMultiplyByJacobian1WithAD

Applies a Jacobian function supplied by ADIFOR or ADIC to a vector on each processor that shares a DA.

### Synopsis

    #include "petscda.h"
    PetscErrorCode PETSCDM_DLLEXPORT DAMultiplyByJacobian1WithAD(DA da,Vec u,Vec v,Vec f,void *w)

### Input Parameters

| da | - the DA that defines the grid
| vu | - Jacobian is computed at this point (ghosted)
| v | - product is done on this vector (ghosted)
| fu | - output vector = J(vu)*v (not ghosted)
| w | - any user data

### Notes

This routine does NOT do ghost updates on vu and v upon entry.

Automatically calls DAMultiplyByJacobian1WithAdifor() or DAMultiplyByJacobian1WithAdic() depending on whether DASetLocalAdicMFFunction() or DASetLocalAdiforMFFunction() was called.

### See Also

DAFormFunction1(), DAMultiplyByJacobian1WithAdifor(), DAMultiplyByJacobian1WithAdic()

Level:advanced
Location:src/dm/da/src/da2.c
Index of all DA routines
Table of Contents for all manual pages
Index of all manual pages